%define upstream_name    Bio-Variation
%define upstream_version 1.7.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Module used by Bio-Cluster
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://github.com/bioperl/Bio-Variation
# from https://github.com/bioperl/Bio-Variation/archive/master.zip:
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Bio::DBLinkContainerI)
BuildRequires: perl(Bio::PrimarySeq)
BuildRequires: perl(Bio::Root::IO)
BuildRequires: perl(Bio::Root::Root)
BuildRequires: perl(Bio::Root::Test)
BuildRequires: perl(Bio::SeqFeature::Generic)
BuildRequires: perl(Bio::SeqIO)
BuildRequires: perl(Bio::Tools::CodonTable)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::String)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(XML::Twig)
BuildRequires: perl(XML::Writer) >= 0.400.0
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Module used by Bio-Cluster

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build

%install
mkdir -p %buildroot%perl_vendorlib
cp -a lib/Bio/ %buildroot%perl_vendorlib

%files
%doc Changes LICENSE META.json META.yml
%perl_vendorlib/Bio/Variation
%perl_vendorlib/Bio/Variation.pm

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.7.5-4.mga10
+ Revision: 2205776
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.7.5-3.mga9
+ Revision: 1812221
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 1.7.5-2.mga8
+ Revision: 1542832
- Mageia 8 Mass Rebuild

* Tue Jan 07 2020 tv <tv> 1.7.5-1.mga8
+ Revision: 1477054
- update to 1.7.5

* Mon Dec 09 2019 tv <tv> 1.7.4-1.mga8
+ Revision: 1465450
- update to 1.7.4
- fix description

* Fri Feb 15 2019 tv <tv> 0.0.0-1.mga7
+ Revision: 1367390
- imported package perl-Bio-Variation


* Fri Feb 15 2019 Thierry Vignaud <tv@mageia.org> 0.0.0-1.mga7
- initial mageia release from https://github.com/bioperl/Bio-Variation
